interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/pics/top.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 74120 characters]
        jki5wQQA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['49710']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:38:06 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drj5vta.2.1505363885912.Z0FBQUFBQlp1Z2V1MXUzUElsTWZQQlNWOThoZHUxdlFucEZabThfRFRlYWhQcnFWUGFQUDNhQ0lOcWFTYXZQTWgxbnNhNlBRTlNYMzUtNG1yNFR5NUJzaEo3RTdnbTdrbVZMZW1KOHhqZ3hPTVFTaDg4MlhJekNZX1RoVnVFM0ZpYnhvVDQtWURFLWU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:06
          GMT; secure', 'session_tracker=GYKonPiJUcCq2w8f4r.0.1505363885908.Z0FBQUFBQlp1Z2V1ODY4R2xHT1hULTYtYTlHN2xjMFhiaG1xNTFhcWxQcFdON1BWTWJXM21wY002M2NKOGNnMTI4eldqS2laQnI4TzNCc0d3b1VGNjc0dmdnRl9TNm1INEtVbVMzY0NUcUFjZXdsTVJzci1pNDZDR0p1YlMtbWZybUx4UkdKa0NrVmI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:06
          GMT; secure', edgebucket=lLH4OeAqRx80r8JMHY; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505363886.899910,VS0,VE531']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drj5vta.2.1505363885912.Z0FBQUFBQlp1Z2V1MXUzUElsTWZQQlNWOThoZHUxdlFucEZabThfRFRlYWhQcnFWUGFQUDNhQ0lOcWFTYXZQTWgxbnNhNlBRTlNYMzUtNG1yNFR5NUJzaEo3RTdnbTdrbVZMZW1KOHhqZ3hPTVFTaDg4MlhJekNZX1RoVnVFM0ZpYnhvVDQtWURFLWU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:06
          GMT; secure', 'session_tracker=GYKonPiJUcCq2w8f4r.0.1505363885908.Z0FBQUFBQlp1Z2V1ODY4R2xHT1hULTYtYTlHN2xjMFhiaG1xNTFhcWxQcFdON1BWTWJXM21wY002M2NKOGNnMTI4eldqS2laQnI4TzNCc0d3b1VGNjc0dmdnRl9TNm1INEtVbVMzY0NUcUFjZXdsTVJzci1pNDZDR0p1YlMtbWZybUx4UkdKa0NrVmI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:06
          GMT; secure', edgebucket=lLH4OeAqRx80r8JMHY; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=bjEcd4xcZWcdlr3dtlWS%2BCBHsW6P0jYyW2eEEgBa%2FF7ruZPtGZpU7u%2BJxx7TM%2Br7lzI5qOSRMLs%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
